---
title: "Code of conduct"
slug: "code-of-conduct"
excerpt: "Our expectations for participants in the Pants community."
hidden: false
createdAt: "2020-05-16T22:54:21.817Z"
updatedAt: "2021-03-17T04:23:56.115Z"
---
We are committed to providing a welcoming and inspiring community for all and expect our code of conduct to be honored. Anyone who violates this code of conduct may be banned from contributing to the project or participating in community discussion.

This code is not exhaustive or complete. It serves to distill our common understanding of a collaborative, shared environment, and goals. We expect it to be followed in spirit as much as in the letter.

Our open source community strives to:

- _Be friendly and patient._
- _Be welcoming:_ We encourage everyone to participate and are committed to building a community for all. Although we will fail at times, we seek to treat everyone as fairly and equally as possible. We strive to be a community that welcomes and supports people of all backgrounds and identities.
- _Be considerate:_ Your work will be used by other people, and you, in turn, will depend on the work of others. Any decision you take will affect users and colleagues, and you should take those outcomes into account when making decisions. Remember that we’re a world-wide community, so you might not be communicating in someone else’s primary language.
- _Be respectful:_ Not all of us will agree all the time, but disagreement is no excuse for poor behavior and poor manners. We might all experience some frustration now and then, but we cannot allow that frustration to turn into a personal attack. It’s important to remember that a community where people feel uncomfortable or threatened is not a productive one. On that note, whenever a participant has made a mistake, we expect them to take responsibility for it. If someone has been harmed or offended, it is our responsibility to listen carefully and respectfully, and do our best to right the wrong.
- _Be careful in the words that we choose:_ we are a community of professionals, and we conduct ourselves professionally. Be kind to others. Do not insult or put down other participants. Harassment and other exclusionary behavior isn’t acceptable.
- _Try to understand why we disagree:_ Disagreements, both social and technical, happen all the time. It is important that we resolve disagreements and differing views constructively. Remember that the strength of our community comes from different people have different perspectives on issues. Being unable to understand why someone holds a viewpoint doesn’t mean that they’re wrong. Don’t forget that it is human to err and blaming each other doesn’t get us anywhere. Instead, focus on helping to resolve issues and learning from mistakes.
- _Be inclusive:_ Although this list cannot be exhaustive, we explicitly honor diversity in age, gender, gender identity or expression, culture, ethnicity, language, national origin, political beliefs, profession, race, religion, sexual orientation, socioeconomic status, and technical ability. We will not tolerate discrimination based on any of the protected characteristics above, including participants with disabilities.

Reporting issues
----------------

If you have experienced or witnessed unacceptable behavior—or have any other concerns—please report it by contacting us via pants-conduct@googlegroups.com. All reports will be handled with discretion. In your report please include:

- Your contact information.
- Names (real, nicknames, or pseudonyms) of any individuals involved. If there are additional witnesses, please include them as well. Your account of what occurred, and if you believe the incident is ongoing. If there is a publicly available record (e.g. a mailing list archive or a slack history), please include a link.
- Any additional information that may be helpful.

After filing a report, a representative will contact you personally, review the incident, follow up with any additional questions, and make a decision as to how to respond. If the person who is harassing you is part of the response team, they are required to be excluded from handling your incident. If the complaint originates from a member of the response team, it will be handled by a different member of the response team. We will respect confidentiality requests for the purpose of protecting victims of abuse. We will endeavor to make an alternative reporting chain available in the event you need to report a project lead or a member of the response team. The members of the response team can be found [here](https://github.com/pantsbuild/pants/blob/master/COMMITTERS.md#active-committers).

Attribution and acknowledgements
--------------------------------

This code of conduct is based on the [Open Code of Conduct v1.0](https://github.com/todogroup/opencodeofconduct) from the [TODOGroup](http://todogroup.org/).

We all stand on the shoulders of giants across many open source communities. We’d like to thank the communities and projects that established code of conducts and diversity statements as our inspiration:

- [Django](https://www.djangoproject.com/conduct/reporting/)
- [Python](https://www.python.org/community/diversity/)
- [Ubuntu](http://www.ubuntu.com/about/about-ubuntu/conduct)
- [Contributor Covenant](http://contributor-covenant.org/)
- [Geek Feminism](http://geekfeminism.org/about/code-of-conduct/)
- [Citizen Code of Conduct](http://citizencodeofconduct.org/)
